[package]
name = "crank-adapter-websocket"
edition.workspace = true
license.workspace = true
rust-version.workspace = true
version.workspace = true

[dependencies]
crank-core = { path = "../crank-core" }
futures-util = "0.3"
reqwest.workspace = true
serde.workspace = true
serde_json.workspace = true
thiserror.workspace = true
tokio = { workspace = true, features = ["net", "time"] }
tokio-tungstenite.workspace = true

[dev-dependencies]
tokio = { workspace = true, features = ["macros", "net", "rt-multi-thread", "time"] }
